ChartDirector Ver 5.0 (PHP Edition)

PolarLayer.setDataSymbol

Usage

setDataSymbol(symbol [, size [, fillColor [, edgeColor [, lineWidth ]]]])

Description

Uses one of the built-in symbols as the graphics symbol to plot the data points.

Arguments

Argument | Default | Description
--- | --- | ---
symbol | (Mandatory) | One of the predefined shape constants representing the symbol shape. See Shape Specification for the available built-in shapes.
size | 7 | The width and height of the symbol in pixels.
fillColor | -1 | The color used to fill the symbol. -1 means the color of the data set will be used.
edgeColor | -1 | The edge color used to draw the edge of the symbol. -1 means the edge color of the data set will be used.
lineWidth | 1 | The line width used for drawing the symbols.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.